Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::ArrayInvertedLists Struct Reference
Inheritance diagram for faiss::ArrayInvertedLists:

## Public Member Functions
| ArrayInvertedLists (size_t nlist, size_t code_size)
size_t | list_size (size_t list_no) const override
| get the size of a list
const uint8_t * | get_codes (size_t list_no) const override
const idx_t * | get_ids (size_t list_no) const override
size_t | add_entries (size_t list_no, size_t n_entry, const idx_t *ids, const uint8_t *code) override
void | update_entries (size_t list_no, size_t offset, size_t n_entry, const idx_t *ids, const uint8_t *code) override
void | resize (size_t list_no, size_t new_size) override
Public Member Functions inherited from faiss::InvertedLists
| InvertedLists (size_t nlist, size_t code_size)
virtual idx_t | get_single_id (size_t list_no, size_t offset) const
virtual const uint8_t * | get_single_code (size_t list_no, size_t offset) const
virtual void | prefetch_lists (const long *list_nos, int nlist) const
virtual size_t | add_entry (size_t list_no, idx_t theid, const uint8_t *code)
| add one entry to an inverted list
virtual void | update_entry (size_t list_no, size_t offset, idx_t id, const uint8_t *code)
virtual void | reset ()

## Public Attributes
std::vector< std::vector < uint8_t > > | codes
std::vector< std::vector< idx_t > > | ids
| Inverted lists for indexes.
Public Attributes inherited from faiss::InvertedLists
size_t | nlist
| number of possible key values
size_t | code_size
| code size per vector in bytes

## Additional Inherited Members
Public Types inherited from faiss::InvertedLists
typedef Index::idx_t | idx_t

## Detailed Description

Definition at line 123 of file IndexIVF.h.

## Member Function Documentation

const uint8_t * faiss::ArrayInvertedLists::get_codes | ( | size_t | list_no | ) | const
| overridevirtual

Returns
  codes size list_size * code_size

Implements faiss::InvertedLists.

Definition at line 185 of file IndexIVF.cpp.

const InvertedLists::idx_t * faiss::ArrayInvertedLists::get_ids | ( | size_t | list_no | ) | const
| overridevirtual

Returns
  ids size list_size

Implements faiss::InvertedLists.

Definition at line 191 of file IndexIVF.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/IndexIVF.h
- /data/users/matthijs/github_faiss/faiss/IndexIVF.cpp